Write a single file into a runtime
PUT
/v1/runtimes/{runtime_id}/files
const url = 'http://127.0.0.1:8080/v1/runtimes/example/files?path=example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/octet-stream'}, body: 'binary'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url 'http://127.0.0.1:8080/v1/runtimes/example/files?path=example' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/octet-stream' \ --data binaryAuthorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”runtime_id
required
Runtime UUID or display name.
string
Runtime UUID or display name.
Query Parameters
Section titled “Query Parameters”path
required
Absolute path to a regular file inside the runtime.
string
Absolute path to a regular file inside the runtime.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/octet-stream
string format: binary
Responses
Section titled “Responses”No content
Missing, malformed, or rejected bearer token
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}The bearer token is not allowed to perform this action
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}The requested resource was not found
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}The request conflicts with current resource state
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Validation or application error
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Rate limit exceeded
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Upstream service is unavailable
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}Upstream request timed out
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}default
Section titled “default”Error response
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
Example
{ "error": { "code": "already_exists" }}